using Windows.Globalization.NumberFormatting;

using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            IncrementNumberRounder incrementNumberRounder = new IncrementNumberRounder
            {
                Increment         = 0.25,
                RoundingAlgorithm = RoundingAlgorithm.RoundHalfUp
            };

            DecimalFormatter decimalFormatter = new DecimalFormatter
            {
                IntegerDigits  = 1,
                FractionDigits = 2,
                NumberRounder  = incrementNumberRounder
            };

            this.numberBox.NumberFormatter = decimalFormatter;
        }

        #endregion
    }
}